using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public abstract class BaseNotificationEvent : INotificationEvent
    {
        public abstract string GetNotificationMessage();

        public virtual string GetNotificationMessageTitle()
        {
            return "Message Title";
        }

        public virtual Strings.BuildStatus GetBuildStatus()
        {
            return Strings.BuildStatus.NotDefined;
        }
    }
}
