using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public partial class BranchMovedEvent : BaseNotificationEvent
    {
        #region INotificationEvent Members

        public override string GetNotificationMessage()
        {
            StringBuilder stringMessageBuilder = new StringBuilder();

            stringMessageBuilder.AppendLine( "Branch Moved" );
            stringMessageBuilder.AppendLine( "NodeUri: " + this.NodeUri );

            return stringMessageBuilder.ToString();
        }

        #endregion
    }
}