//===============================================================================
// Microsoft Services
// Microsoft.Services.TfsAlert.Core
// TFSAlerts
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Services.TfsAlert.Core.Model
{
    public class TfsEvent
    {
        #region Attributes
        private string _filterExpression;
        private int _subscriptionID;
        private bool _isSelected;
        private string _eventType;
        #endregion

        #region Properties

        /// <summary>
        /// Filter Expression to be applied to an event.
        /// </summary>
        public string FilterExpression
        {
            get { return _filterExpression; }
            set { _filterExpression = value; }
        }
        
        /// <summary>
        /// 
        /// </summary>
        public int SubscriptionID
        {
            get { return _subscriptionID; }
            set { _subscriptionID = value; }
        }
        
        /// <summary>
        /// 
        /// </summary>
        public bool IsSelected
        {
            get { return _isSelected; }
            set { _isSelected = value; }
        }
       
        /// <summary>
        /// The Event type in string format
        /// </summary>
        public string EventType
        {
            get { return _eventType; }
            set { _eventType = value; }
        }
        #endregion

    }
}
