﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Activities;

namespace TfsAlert.Core.WorkflowServices
{
    [Serializable]
	public class RelayMessageArgs : ExternalDataEventArgs
	{
        private int _relayPort;
        
        public RelayMessageArgs( Guid instanceId, int relayPort )
            : base( instanceId )
        {
            this._relayPort = relayPort;
        }

        public int RelayPort
        {
            get
            {
                return this._relayPort;
            }
        }
	}
}
