using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public partial class BuildStatusChangeEvent : BaseNotificationEvent
    {
        #region INotificationEvent Members

        public override string GetNotificationMessage()
        {
            StringBuilder stringMessageBuilder = new StringBuilder();

            stringMessageBuilder.AppendLine( "Title: " + this.Title );
            stringMessageBuilder.AppendLine( "Changed By: " + this.ChangedBy );
            stringMessageBuilder.AppendLine( "Status Change: " + this.StatusChange );

            return stringMessageBuilder.ToString();
        }

        #endregion
    }
}