using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public class GenericEvent : BaseNotificationEvent
    {
        private string _title = null;
        private string _message = null;

        public GenericEvent(string title, string message)
        {
            this._title = title;
            this._message = message;
        }

        public override string GetNotificationMessageTitle()
        {
            return _title;
        }

        public override string GetNotificationMessage()
        {
            return _message;
        }
    }
}
