using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace TfsAlert.Modules.EventHistory
{
    [Module( ModuleName = "EventHistoryModule" )]
    public class EventHistoryModule : IModule
    {
        private readonly IRegionManager _regionManager;

        public EventHistoryModule( IRegionManager regionManager )
        {
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            //Todo, This should maybe read in from the config file?
            _regionManager.Regions["Footer"].Add( new DefaultView() );
        }
    }
}
