using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace TfsAlert.Modules.Header
{
    [Module( ModuleName = "HeaderModule" )]
    public class HeaderModule : IModule
    {
        private readonly IRegionManager _regionManager;

        public HeaderModule( IRegionManager regionManager )
        {
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            //Todo, This should maybe read in from the config file?

            _regionManager.Regions["Header_Right"].Add( new DefaultView() );
        }
    }
}
