using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace TfsAlert.Modules.TeamBuild
{
    [Module( ModuleName = "TeamBuildModule" )]
    public class TeamBuildModule : IModule
    {
        private readonly IRegionManager _regionManager;

        public TeamBuildModule( IRegionManager regionManager )
        {
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            //Todo, This should maybe read in from the config file?
            _regionManager.Regions["Main_Left"].Add( new DefaultView() );
        }
    }
}
