﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.Build.Client;

namespace TfsAlert.Modules.TeamBuild.UnitTests
{
    [TestClass]
    public class TeamBuild_UnitTests
    {

        [TestMethod]
        public void CanGetBuilds()
        {
            TeamFoundationServer tfs = new TeamFoundationServer( "http://tfsrtm08:8080" );
            IBuildServer buildServer = (IBuildServer)tfs.GetService( typeof( IBuildServer ) );
            
            IBuildDefinition build = buildServer.GetBuildDefinition( "ebanking1", "releasex86" );

            IBuildDetail[] builds = buildServer.QueryBuilds( build );
            
            IBuildDetail buildDetail = buildServer.GetAllBuildDetails( build.LastBuildUri);
            
            

            string x = buildDetail.BuildNumber;

            //buildQueue = buildServer.CreateQueuedBuildsView( "" );

        }
    }
}
 