using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public partial class AclChangedEvent : BaseNotificationEvent
    {
        #region INotificationEvent Members

        public override string GetNotificationMessage()
        {
            StringBuilder stringMessageBuilder = new StringBuilder();

            stringMessageBuilder.AppendLine( "ACL Changed" );
            stringMessageBuilder.AppendLine( "Change Type: " + this.ChangeType );
            stringMessageBuilder.AppendLine( "ActionId: " + this.ActionId );

            return stringMessageBuilder.ToString();
        }

        #endregion
    }
}