using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace TfsAlert.Modules.SourceControl
{
    [Module( ModuleName = "SourceControlModule" )]
    public class SourceControlModule : IModule
    {
        private readonly IRegionManager _regionManager;

        public SourceControlModule( IRegionManager regionManager )
        {
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            //Todo, This should maybe read in from the config file?
            _regionManager.Regions["Main_Right"].Add( new DefaultView() );
        }
    }
}
