using System.ServiceModel;

using Microsoft.Services.TfsAlert.AppCode;
using Microsoft.Services.TfsAlert.AppCode.NotificationEvents;

namespace Microsoft.Services.TfsAlert.AppCode
{
    [ServiceContract(
        Namespace = "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03" )]
    public interface INotificationReciever
    {
        [XmlSerializerFormat()]
        [OperationContract(
            Action = "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03/Notify" )]
        void Notify( string eventXml, string tfsIdentityXml, SubscriptionInfo SubscriptionInfo );
    }
}