using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public partial class CheckinEvent : BaseNotificationEvent
    {
        public override string GetNotificationMessageTitle()
        {
            return "Checkin";
        }
        
        public override string GetNotificationMessage()
        {
            StringBuilder notificationMessage = new StringBuilder();
            notificationMessage.AppendLine( "Project: \t" + this.TeamProject );
            notificationMessage.AppendLine( "Committer: \t" + this.Committer );
            notificationMessage.AppendLine( "Changeset: \t" + this.Number ); 
            notificationMessage.Append( "Comment: \t" + this.Comment );

            return notificationMessage.ToString();
        }
    }
}
