using System.Text;

namespace Microsoft.Services.TfsAlert.AppCode.NotificationEvents
{
    public partial class MembershipChangedEvent : BaseNotificationEvent
    {
        #region INotificationEvent Members

        public override string GetNotificationMessage()
        {
            StringBuilder stringMessageBuilder = new StringBuilder();

            stringMessageBuilder.AppendLine( this.ChangeType );
            stringMessageBuilder.AppendLine( "Group SID: " + this.GroupSid );
            stringMessageBuilder.AppendLine( "Member SID: " + this.MemberSid );

            return stringMessageBuilder.ToString();
        }

        #endregion
    }
}