using System;
using System.ComponentModel;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace Microsoft.Services.TfsAlert.AppCode
{
    [Serializable]
    [XmlRoot(ElementName = "SubscriptionInfo", IsNullable = false )]
    [XmlType(TypeName = "SubscriptionInfo" )]
    public class SubscriptionInfo
    {
        public SubscriptionInfo()
        { }
        
        private int _ID;

        [XmlElement(ElementName = "ID", IsNullable = false, DataType = "int")]
        public int ID
        {
            get { return _ID; }
            set { _ID = value; }
        }
        
        private string _classification;
        
        [XmlElement(ElementName = "Classification", IsNullable = true, DataType = "string")]
        public string Classification
        {
            get { return _classification; }
            set { _classification = value; }
        }

        private string _subscriber;

        [XmlElement(ElementName = "Subscriber", IsNullable = true, DataType = "string")]
        public string Subscriber
        {
            get { return _subscriber; }
            set { _subscriber = value; }
        }
    }
}