using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

using Microsoft.VisualStudio.TestTools.UnitTesting;

using Microsoft.Services.TfsAlert.Core.BusinessFacades;
using Microsoft.Services.TfsAlert.Core.BusinessFacades.RegistrationBF;

namespace Microsoft.Services.TfsAlert.UnitTests.Core
{
    [TestClass]
	public class RegistrationFacadeTests
	{
        [TestMethod]
        public void CanCreateRegistrationFactory()
        {
            IBusinessFacadeFactory _businessFacadeFactory = BusinessFacadeFactory.CreateInstance();
            IRegistrationFactory _regFactory = _businessFacadeFactory.CreateRegistrationManager();
            Assert.IsNotNull(_regFactory);
        }
        [TestMethod]
        public void CanCreateRegistionManager()
        {
            IBusinessFacadeFactory _businessFacadeFactory = BusinessFacadeFactory.CreateInstance();
            IRegistrationFactory _regFactory = _businessFacadeFactory.CreateRegistrationManager();
            IRegistrationManager _iManager = _regFactory.CreateRegistrationManager();
            Assert.IsNotNull(_iManager);
        }



	}
}
