using System.Diagnostics;
using System.Web.Services;
using System.ComponentModel;
using System.Web.Services.Protocols;
using System;
using System.Xml.Serialization;

using Microsoft.TeamFoundation.Server;

namespace Microsoft.Services.TfsAlert.TfsAlertScenarioTests.NotificationRecieverProxy
{
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "2.0.50727.42")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(
      ConformsTo=WsiProfiles.BasicProfile1_1 )]
    public partial class NotificationReciever : System.Web.Services.Protocols.SoapHttpClientProtocol
    {
        public NotificationReciever()
        {
            this.UseDefaultCredentials = true;
        }

        public new string Url
        {
            get
            {
                return base.Url;
            }
            set
            {
               base.Url = value;
            }
        }

        [System.Web.Services.Protocols.SoapDocumentMethodAttribute(
            "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03/Notify",
            RequestNamespace = "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03" )]
        public void Notify(string eventXml, string tfsIdentityXml, SubscriptionInfo SubscriptionInfo)
        {
            this.Invoke("Notify", new object[] {
                eventXml,
                tfsIdentityXml, 
                SubscriptionInfo});
        }
    }
}
