using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace TfsAlert.Modules.WorkItems
{
    [Module( ModuleName = "WorkItemModule" )]
    public class WorkItemModule : IModule
    {
        private readonly IRegionManager _regionManager;

        public WorkItemModule( IRegionManager regionManager )
        {
            _regionManager = regionManager;
        }

        public void Initialize()
        {
            //Todo, This should maybe read in from the config file?
            _regionManager.Regions["Main_Center"].Add( new DefaultView() );
        }
    }
}
